<? if ( $this->count ): ?>
	<div class="pf-photos" id="pf-photos">
		<? foreach( $this->photos as $i => $photo ): ?>
			<div class="item <?/*<?= ( ($i + 1) % $this->perRow == 0 || ($i + 1) == count($this->photos)) ? 'last' : '' ?>*/ ?>">
				<? 
					$p = new Model_Escort_PhotoItem($photo); 
					$thumb_size = 'h250res_pf';
					$width = 0;
					$height = 250;
					$orig_width = $p->width;					
					$orig_height = $p->height;

					$k = $orig_width  / $orig_height;					

					if ($height) {
						$width = round($k * $height);
					}					
				?>
				<a href="" escortid="<?= $photo->escort_id ?>" photoid="<?= $photo->photo_id ?>" class="photo">
					<img src="<?= $p->getUrl($thumb_size) ?>" width="<?= $width ?>" height="250" />
				</a>
				<div class="info">
					<p class="rating an"><?= ($photo->rating) ? $photo->rating : 0 ?>/10</p>					
					<div class="count">
						<?= ($photo->votes_count) ? $photo->votes_count : 0 ?> 						
					</div>

					<div class="p-wrp none">
						<div class="p">
							<?= ($photo->votes_count) ? $photo->votes_count : 0 ?> <?= __('votes') ?>
							<div class="pntc"></div>
						</div>
					</div>
				</div>
			</div>			
		<? endforeach; ?>

		<div class="clear"></div>
	</div>	
<? else: ?>
	<div class="no-escorts-found">
		<p class="pink an"><?= __('currently_no_photos') ?></p>
		<p class="gray an"><?= __('come_back_later') ?></p>
		<div class="clear"></div>
	</div>
<? endif; ?>

<? $pages_count = ceil($this->count / $this->perPage); ?>
<? if ($pages_count != 1): ?>
	<div class="clear"></div>
	<div class="paging-list">
		<? $pages = $this->paging($this->count, $this->page, $this->perPage, 7, 3); ?>

		<? if (1 < $this->page): ?>
			<a href="#" onclick="return Cubix.Filter.Set({ page: ['<?= $this->page - 1 ?>'] })"><?= $this->t('previous') ?></a>
		<? endif ?>

		<? foreach ($pages as $page): ?>
			<? if ($this->page == $page): ?>
				<span class="active"><?= $page ?></span>
			<? else: ?>
				<a href="#" onclick="return Cubix.Filter.Set({ page: ['<?= $page ?>'] })"><?= $page ?></a>
			<? endif ?>
		<? endforeach ?>

		<? if ($pages_count > $this->page): ?>
			<a href="#" onclick="return Cubix.Filter.Set({ page: ['<?= $this->page + 1 ?>'] })"><?= $this->t('next') ?></a>
		<? endif ?>
	</div>
<? endif; ?>